Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.pm.opstatus
Interface OperationalStatusMonitorByClassesValue

All Superinterfaces:
  AttributeAccess, java.lang.Cloneable, ManagedEntityValue, OperationalStatusMonitorValue, java.io.Serializable, SerializerFactory

All Known Implementing Classes:
  OperationalStatusMonitorByClassesValueImpl

public interface OperationalStatusMonitorByClassesValue
extends OperationalStatusMonitorValue

This interface is the value representation of a measurement job that monitor a set of specified attributes on a set of observable object classes.

This interface extends the OperationalStatusMonitorValue interface with a new attribute:

- a list of measurement attributes to monitor.
- a list of Observable Object classes.
- a scope that define from where to find the observable object classes.

The new attributes, of the value object, are a list of observed object classes that shall be monitored, with a scope, and an optional list of measurement attributes, that identify what is monitored by the measurement job. If the measurement attribute list is omitted, all measurement attributes in the observed object instances will be monitored (scanned).

Version:
  0.9, 2001-10-25
Author:
  Stefan Aberg
See Also:
  `JVTOperationalStatusMonitorSession`

Field Summary
`static java.lang.String` | `MEASUREMENT_ATTRIBUTES` Constant for attribute measurement attributes.
`static java.lang.String` | `OBSERVABLE_OBJECT_CLASSES` Constant for attribute observable object classes.
`static java.lang.String` | `SCOPE` Constant for attribute defining the scope.
`static java.lang.String` | `VALUE_TYPE` Constant that can be used to match what is returned from `PerormanceMonitor::getOperationalStatusMonitorTypes()`.

Fields inherited from interface com.sun.management.oss.pm.opstatus.OperationalStatusMonitorValue
`GRANULARITY_PERIOD, NAME, REPORT_BY_EVENT, REPORT_BY_FILE, REPORT_FORMAT, SCHEDULE, STATE`

Fields inherited from interface com.sun.management.oss.ManagedEntityValue
`KEY`

Method Summary
`java.lang.String[]` | `getObservedObjectClasses()` Returns a list of observable object class names.
`javax.management.ObjectName` | `getScope()` Returns the JMX pattern the job is using.
`OperationalStatusAttributeDescriptor` | `makeOperationalStatusAttributeDescriptor()` Creates a new instance of the OperationalStatusAttributeDescriptor interface.
`void` | `setObservedObjectClasses(java.lang.String[] observedObjectClasses)` Sets the observable object classes that shall be monitored.
`void` | `setScope(javax.management.ObjectName base)` Sets the JMX pattern matching the object names the job must handle.

Methods inherited from interface com.sun.management.oss.pm.opstatus.OperationalStatusMonitorValue
`getGranularityPeriod, getName, getOperationalStatusMonitorKey, getReportByEvent, getReportByFile, getReportFormat, getSchedule, getState, makeOperationalStatusMonitorKey, makeReportFormat, makeSchedule, setGranularityPeriod, setName, setOperationalStatusMonitorKey, setReportByEvent, setReportByFile, setReportFormat, setSchedule, setState`

Methods inherited from interface com.sun.management.oss.ManagedEntityValue
`clone, getLastUpdateVersionNumber, getManagedEntityKey, getSettableAttributeNames, makeManagedEntityKey, setLastUpdateVersionNumber, setManagedEntityKey`

Methods inherited from interface com.sun.management.oss.AttributeAccess
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from interface com.sun.management.oss.SerializerFactory
`getSupportedSerializerTypes, makeSerializer`

Field Detail

### VALUE_TYPE

    public static final java.lang.String VALUE_TYPE

  Constant that can be used to match what is returned from `PerormanceMonitor::getOperationalStatusMonitorTypes()`.

  See Also:
    Constant Field Values

### MEASUREMENT_ATTRIBUTES

    public static final java.lang.String MEASUREMENT_ATTRIBUTES

  Constant for attribute measurement attributes.

  See Also:
    Constant Field Values

### OBSERVABLE_OBJECT_CLASSES

    public static final java.lang.String OBSERVABLE_OBJECT_CLASSES

  Constant for attribute observable object classes.

  See Also:
    Constant Field Values

### SCOPE

    public static final java.lang.String SCOPE

  Constant for attribute defining the scope.

  See Also:
    Constant Field Values

Method Detail

### makeOperationalStatusAttributeDescriptor

    public OperationalStatusAttributeDescriptor makeOperationalStatusAttributeDescriptor()

  Creates a new instance of the OperationalStatusAttributeDescriptor interface.

  Returns:
    OperationalStatusAttributeDescriptor The created object. The object is empty.

### getObservedObjectClasses

    public java.lang.String[] getObservedObjectClasses()
                                                throws java.lang.IllegalStateException

  Returns a list of observable object class names.

  Returns:
    String[] List of observable object class names.
  Throws:
    `java.lang.IllegalStateException` - Is raised if the attribute is not populated.
  See Also:
    `setObservedObjectClasses(java.lang.String[])`

### setObservedObjectClasses

    public void setObservedObjectClasses(java.lang.String[] observedObjectClasses)
                                  throws java.lang.IllegalArgumentException

  Sets the observable object classes that shall be monitored.

  The observable object classes will be validated when the value object is passed to the performance monitor bean.

  The supported observable classes can be retrieved by using the OperationalStatusMonitor.getObservableObjectClasses

  Parameters:
    `observedObjectClasses` - List of observable object class names.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameters are not valid.
  See Also:
    `getObservedObjectClasses()`

### getScope

    public javax.management.ObjectName getScope()
                                         throws java.lang.IllegalStateException

  Returns the JMX pattern the job is using.

  Returns:
    The JMX pattern for the job.
  Throws:
    `java.lang.IllegalStateException` - Is raised if the attribute is not populated.
  See Also:
    `setScope(javax.management.ObjectName)`

### setScope

    public void setScope(javax.management.ObjectName base)
                  throws java.lang.IllegalArgumentException

  Sets the JMX pattern matching the object names the job must handle.

  Parameters:
    `base` - The JMX pattern for selecting objects.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameters are not valid.
  See Also:
    `getScope()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD